ContactsContact Companies
Link Contact to Company
Associate a contact with a company, or unlink them.
Link a contact to a company. Omit company_id to unlink.
Required: Contacts > Write
Authorization
bearerToken
AuthorizationBearer <token>
API token for YourGPT Public APIs. Create tokens in Settings > API Tokens in your YourGPT dashboard.
In: header
Request Body
application/json
project_uid*string
Your project's unique identifier.
contact_id*integer
The contact ID.
company_id?integer
Company ID to link. Omit or set to null to unlink the contact from any company.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.yourgpt.ai/chatbot/v1/linkContactToCompany" \ -H "Content-Type: application/json" \ -d '{ "project_uid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "contact_id": 101 }'{
"type": "RXSUCCESS",
"message": "Contact linked to company successfully"
}{
"type": "RXERROR",
"message": "Invalid params"
}{
"type": "RXERROR",
"message": "Invalid or revoked API token"
}{
"type": "RXERROR",
"message": "You do not have permission to perform this action"
}